import { useEffect } from 'react';

import { useSelector } from 'react-redux';
import dimensions from '../../common/theme/dimensions';
import { map } from '../core/MapView';
import { usePrevious } from '../../reactHelper';
import { useAttributePreference } from '../../common/util/preferences';

const MapSelectedDevice = () => {
  const currentTime = useSelector((state) => state.devices.selectTime);
  const currentId = useSelector((state) => state.devices.selectedId);
  const previousTime = usePrevious(currentTime);
  const previousId = usePrevious(currentId);
  const geofences = useSelector((state) => state.geofences.items);

  const selectZoom = useAttributePreference('web.selectZoom', 10);
  const mapFollow = useAttributePreference('mapFollow', false);

  const position = useSelector((state) => state.session.positions[currentId]);

  useEffect(() => {
    if ((currentId !== previousId || currentTime !== previousTime || mapFollow) && position) {
      let geofenceBearing=0;
      if(geofences!=null && Object.values(geofences)[0]!=undefined){
        console.log(Object.values(geofences)[0]);
        geofenceBearing=Object.values(geofences)[0].attributes.displayBearing;
      }
      map.easeTo({
        center: [position.longitude, position.latitude],
        zoom: 17,//Math.max(map.getZoom(), selectZoom),
        offset: [0, -dimensions.popupMapOffset / 2],
        bearing:geofenceBearing
      });
       let focusDiv = document.getElementById("focusDiv");
         if(focusDiv != null){
           document.getElementById("focusDiv").style.zIndex="4";
         }

    }
  });

  return null;
};

export default MapSelectedDevice;
